Bug 14600 - Spec element.setCapture / document.releaseCapture
Spec element.setCapture / document.releaseCapture
Status: RESOLVED NEEDSINFO
Product: WHATWG
Classification: Unclassified
Component: Unwelcome
unspecified
Other other
: P3 normal
: Unsorted
Assigned To: Michael[tm] Smith
sideshowbarker+unwelcome
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-30 20:30 UTC by contributor
Modified: 2014-02-10 22:37 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2011-10-30 20:30:50 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/
Multipage: http://www.whatwg.org/C#head
Complete: http://www.whatwg.org/c#head

Comment:
Spec element.setCapture / document.releaseCapture

Posted from: 91.181.84.233 by ms2ger@gmail.com
User agent: Mozilla/5.0 (X11; Linux x86_64; rv:10.0a1) Gecko/20111001 Firefox/10.0a1
Comment 2 Anne 2011-12-20 20:50:57 UTC
Seems to be done elsewhere now.

http://dvcs.w3.org/hg/webevents/raw-file/default/mouse-lock.html
Comment 3 Ms2ger 2011-12-21 09:15:36 UTC
I don't see how it specs setCapture/releaseCapture.
Comment 4 Anne 2011-12-21 09:19:04 UTC
It seems to suggest that it is not going to be defined and remains Gecko proprietary. In any event, it's not going to be done in the DOM specification I think.
Comment 5 Ms2ger 2012-03-20 08:21:40 UTC
(In reply to comment #4)
> In any event, it's not going to be done in the DOM specification I think.

Agreed. Mike was so kind to create an orphanage for this bug.
Comment 6 Ian 'Hixie' Hickson 2012-03-20 17:26:35 UTC
Who else implements this? If it's just Firefox, should we file a bug on Gecko to drop it?
Comment 7 Michael[tm] Smith 2012-10-06 04:01:55 UTC
Not sure what action is needed from me on this.
Comment 8 Danil Kostin 2013-09-11 14:50:35 UTC
Why is this marked as RESOLVED?
I can not find any spec, describing setCapture/releaseCapture.
Comment 9 Michael[tm] Smith 2013-09-12 00:49:24 UTC
(In reply to Danil Kostin from comment #8)
> Why is this marked as RESOLVED?
> I can not find any spec, describing setCapture/releaseCapture.

It's marked as NEEDSINFO until somebody expresses willingness to take some concrete action on it; e.g., somebody decides to implement it in a UA other than Gecko, or somebody volunteers to write a spec for it, or Gecko drops it for lack of other implementations.
Comment 10 Michael[tm] Smith 2013-09-12 01:04:22 UTC
(In reply to Ian 'Hixie' Hickson from comment #6)
> Who else implements this?

Apparently IE does. And IE had it before Gecko, which is part of why Gecko implemented it. See the following message from 2008 (from you...) where you're asking for info about setCapture() on the whatwg and public-webapps lists:

http://lists.w3.org/Archives/Public/public-webapps/2008OctDec/0308.html
[[
Would it be possible to add setCapture() (as supported in IE; see below) 
to DOM3 Events? It seems more appropriate to have it there than in HTML5.

Note that I don't think we'd need releaseCapture(); we should just say 
that capture is canceled when the mouse is released if it was captured. 
This gets around the problem of unbalanced set/release.
]]

You got no responses at all to that message, as far as I can tell.

Afterward, Gecko went ahead and implemented it:

And see https://bugzilla.mozilla.org/show_bug.cgi?id=503943#c4

> If it's just Firefox, should we file a bug on Gecko to drop it?

I doubt Mozilla is going to want to drop it, given that at the time they implemented they were well aware that there was no spec and nobody other than IE had it and nobody else was planning to implement it.